---
gitlab: mkitlas
name: Mike Kitlas
job_title: Compensation Partner
departments:
- Total Rewards
division: People Group
reports_to: cylee928
public: true
picture: "../gitlab-logo-extra-whitespace.png"
role: "<a href=''>Compensation Partner</a>"
twitter:
linkedin:
story:
expertise:
pronouns:
pronunciation:

